## decklinkaudiosrc decklinkaudiosrc |

## Properties

guint64 | alignment-threshold | Read / Write
guint | buffer-size | Read / Write
GstDecklinkAudioConnection | connection | Read / Write / Construct
gint | device-number | Read / Write / Construct
guint64 | discont-wait | Read / Write
GstDecklinkAudioChannels | channels | Read / Write / Construct
gchar * | hw-serial-number | Read

## Types and Values

struct | GstDecklinkAudioSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstDecklinkAudioSrc

## Description

## Synopsis

### Element Information

plugin | decklink
author | David Schleef <ds@entropywave.com>, Sebastian Dröge <sebastian@centricular.com>
class | Audio/Src

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S16LE, S32LE }, channels=(int)2, rate=(int)48000, layout=(string)interleaved
| audio/x-raw, format=(string){ S16LE, S32LE }, channels=(int){ 8, 16 }, channel-mask=(bitmask)0x0000000000000000, rate=(int)48000, layout=(string)interleaved

## Functions

## Types and Values

### struct GstDecklinkAudioSrc

    struct GstDecklinkAudioSrc;

## Property Details

### The `“alignment-threshold”` property

      “alignment-threshold”      guint64

Timestamp alignment threshold in nanoseconds.

Flags: Read / Write

Allowed values: <= 18446744073709551614

Default value: 40000000

### The `“buffer-size”` property

      “buffer-size”              guint

Size of internal buffer in number of video frames.

Flags: Read / Write

Allowed values: [1,G_MAXINT]

Default value: 5

### The `“connection”` property

      “connection”               GstDecklinkAudioConnection

Audio input connection to use.

Flags: Read / Write / Construct

Default value: Automatic

### The `“device-number”` property

      “device-number”            gint

Output device instance to use.

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 0

### The `“discont-wait”` property

      “discont-wait”             guint64

Window of time in nanoseconds to wait before creating a discontinuity.

Flags: Read / Write

Allowed values: <= 18446744073709551614

Default value: 1000000000

### The `“channels”` property

      “channels”                 GstDecklinkAudioChannels

Audio channels.

Flags: Read / Write / Construct

Default value: 2 Channels

### The `“hw-serial-number”` property

      “hw-serial-number”         gchar *

The serial number (hardware ID) of the Decklink card.

Flags: Read

Default value: NULL